Bug 304818 - crash amarok when i close it
Summary: crash amarok when i close it
Status: RESOLVED DUPLICATE of bug 285951
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-08 19:41 UTC by sergey
Modified: 2012-11-14 00:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (26.59 KB, text/plain)
2012-11-13 22:52 UTC, Diego
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sergey 2012-08-08 19:41:53 UTC
Application: amarok (2.5.0)
KDE Platform Version: 4.9.00
Qt Version: 4.8.1
Operating System: Linux 3.2.0-27-generic-pae i686
Distribution: Ubuntu 12.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:i dont listen music, but i close application. When i close amarok i get a message about craft appl.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb10cd740 (LWP 28303))]

Thread 12 (Thread 0xaa39bb40 (LWP 28306)):
#0  0xb76f4424 in __kernel_vsyscall ()
#1  0xb561a380 in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0xb3f964c6 in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#3  0xb3f8475a in pa_mainloop_poll () from /usr/lib/i386-linux-gnu/libpulse.so.0
#4  0xb3f84fb7 in pa_mainloop_iterate () from /usr/lib/i386-linux-gnu/libpulse.so.0
#5  0xb3f85094 in pa_mainloop_run () from /usr/lib/i386-linux-gnu/libpulse.so.0
#6  0xb3f9644e in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#7  0xb1c6d246 in ?? () from /usr/lib/i386-linux-gnu/libpulsecommon-1.1.so
#8  0xb466ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#9  0xb5628ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 11 (Thread 0xa4aa8b40 (LWP 28308)):
#0  0xb466cdc8 in pthread_mutex_lock () from /lib/i386-linux-gnu/libpthread.so.0
#1  0xb56365f4 in pthread_mutex_lock () from /lib/i386-linux-gnu/libc.so.6
#2  0xb439a3d0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb435ab85 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb435b042 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb435b201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb59968e7 in QEventDispatcherGlib::processEvents (this=0xa4100488, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb596250d in QEventLoop::processEvents (this=0xa4aa8240, flags=...) at kernel/qeventloop.cpp:149
#8  0xb59627a9 in QEventLoop::exec (this=0xa4aa8240, flags=...) at kernel/qeventloop.cpp:204
#9  0xb584b94c in QThread::exec (this=0x87560c0) at thread/qthread.cpp:501
#10 0xb593fb5d in QInotifyFileSystemWatcherEngine::run (this=0x87560c0) at io/qfilesystemwatcher_inotify.cpp:248
#11 0xb584ede0 in QThreadPrivate::start (arg=0x87560c0) at thread/qthread_unix.cpp:298
#12 0xb466ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb5628ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 10 (Thread 0xa2f56b40 (LWP 28309)):
#0  0xb770db9e in ?? () from /lib/ld-linux.so.2
#1  0xb7706e76 in ___tls_get_addr () from /lib/ld-linux.so.2
#2  0xb584dd8f in get_thread_data () at thread/qthread_unix.cpp:174
#3  QThreadData::current () at thread/qthread_unix.cpp:200
#4  0xb5996067 in postEventSourcePrepare (s=0xa2600da8, timeout=0xa2f560ec) at kernel/qeventdispatcher_glib.cpp:256
#5  0xb435a872 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb435afaf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb435b201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb59968e7 in QEventDispatcherGlib::processEvents (this=0xa2600468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#9  0xb596250d in QEventLoop::processEvents (this=0xa2f56270, flags=...) at kernel/qeventloop.cpp:149
#10 0xb59627a9 in QEventLoop::exec (this=0xa2f56270, flags=...) at kernel/qeventloop.cpp:204
#11 0xb584b94c in QThread::exec (this=0x89472e0) at thread/qthread.cpp:501
#12 0xb584ba3b in QThread::run (this=0x89472e0) at thread/qthread.cpp:568
#13 0xb584ede0 in QThreadPrivate::start (arg=0x89472e0) at thread/qthread_unix.cpp:298
#14 0xb466ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#15 0xb5628ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 9 (Thread 0xa23beb40 (LWP 28310)):
#0  0xb439a0e7 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb439a408 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb435b20b in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb59968e7 in QEventDispatcherGlib::processEvents (this=0xa1a00468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0xb596250d in QEventLoop::processEvents (this=0xa23be270, flags=...) at kernel/qeventloop.cpp:149
#5  0xb59627a9 in QEventLoop::exec (this=0xa23be270, flags=...) at kernel/qeventloop.cpp:204
#6  0xb584b94c in QThread::exec (this=0x8968680) at thread/qthread.cpp:501
#7  0xb584ba3b in QThread::run (this=0x8968680) at thread/qthread.cpp:568
#8  0xb584ede0 in QThreadPrivate::start (arg=0x8968680) at thread/qthread_unix.cpp:298
#9  0xb466ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#10 0xb5628ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 8 (Thread 0xa0fffb40 (LWP 28312)):
#0  0xb76f4424 in __kernel_vsyscall ()
#1  0xb466e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb56363dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb584f350 in wait (time=4294967295, this=0x8989c70) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x8989bc0, mutex=0x8989d90, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4dc3acc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8989ba8, th=0x8989ff0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4dc695b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8989e30, th=0x8989ff0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4dc363a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8989ba8, th=0x8989ff0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4dc6a5c in ThreadWeaver::WorkingHardState::applyForWork (this=0x8989e30, th=0x8989ff0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4dc3533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8989ba8, th=0x8989ff0, previous=0x9018430) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4dc54e4 in ThreadWeaver::ThreadRunHelper::run (this=0xa0fff2a4, parent=0x8989ba8, th=0x8989ff0) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb4dc559a in ThreadWeaver::Thread::run (this=0x8989ff0) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb584ede0 in QThreadPrivate::start (arg=0x8989ff0) at thread/qthread_unix.cpp:298
#13 0xb466ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#14 0xb5628ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 7 (Thread 0xa04fdb40 (LWP 28313)):
#0  0xb4184dcd in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0xb58ad315 in do_gettime (frac=0xa04fcfb0, sec=0xa04fcfa8) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb5997226 in QTimerInfoList::updateCurrentTime (this=0x9fb01574) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb599757a in QTimerInfoList::timerWait (this=0x9fb01574, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb5995e23 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa04fd0bc) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb5995ebd in timerSourcePrepare (source=0x9fb01540, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb435a872 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb435afaf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb435b201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb59968e7 in QEventDispatcherGlib::processEvents (this=0x9fb00468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb596250d in QEventLoop::processEvents (this=0xa04fd240, flags=...) at kernel/qeventloop.cpp:149
#12 0xb59627a9 in QEventLoop::exec (this=0xa04fd240, flags=...) at kernel/qeventloop.cpp:204
#13 0xb584b94c in QThread::exec (this=0x8c07770) at thread/qthread.cpp:501
#14 0xb593fb5d in QInotifyFileSystemWatcherEngine::run (this=0x8c07770) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb584ede0 in QThreadPrivate::start (arg=0x8c07770) at thread/qthread_unix.cpp:298
#16 0xb466ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0xb5628ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 6 (Thread 0x9faffb40 (LWP 28314)):
#0  0xb76f4424 in __kernel_vsyscall ()
#1  0xb466e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb56363dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb584f350 in wait (time=4294967295, this=0x8989c70) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x8989bc0, mutex=0x8989d90, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4dc3acc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8989ba8, th=0x8c6f8f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4dc695b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8989e30, th=0x8c6f8f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4dc363a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8989ba8, th=0x8c6f8f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4dc6a5c in ThreadWeaver::WorkingHardState::applyForWork (this=0x8989e30, th=0x8c6f8f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4dc3533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8989ba8, th=0x8c6f8f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4dc6a78 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8989e30, th=0x8c6f8f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4dc3533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8989ba8, th=0x8c6f8f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb4dc6a78 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8989e30, th=0x8c6f8f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb4dc3533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8989ba8, th=0x8c6f8f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb4dc6a78 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8989e30, th=0x8c6f8f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb4dc3533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8989ba8, th=0x8c6f8f0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb4dc6a78 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8989e30, th=0x8c6f8f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb4dc3533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8989ba8, th=0x8c6f8f0, previous=0x8d013f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb4dc54e4 in ThreadWeaver::ThreadRunHelper::run (this=0x9faff2a4, parent=0x8989ba8, th=0x8c6f8f0) at ../../../threadweaver/Weaver/Thread.cpp:87
#19 0xb4dc559a in ThreadWeaver::Thread::run (this=0x8c6f8f0) at ../../../threadweaver/Weaver/Thread.cpp:142
#20 0xb584ede0 in QThreadPrivate::start (arg=0x8c6f8f0) at thread/qthread_unix.cpp:298
#21 0xb466ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#22 0xb5628ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 5 (Thread 0x9f2feb40 (LWP 28315)):
#0  0xb76f4424 in __kernel_vsyscall ()
#1  0xb466e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb56363dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb584f350 in wait (time=4294967295, this=0x8989c70) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x8989bc0, mutex=0x8989d90, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4dc3acc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8989ba8, th=0x8cb03a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4dc695b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8989e30, th=0x8cb03a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4dc363a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8989ba8, th=0x8cb03a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4dc6a5c in ThreadWeaver::WorkingHardState::applyForWork (this=0x8989e30, th=0x8cb03a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4dc3533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8989ba8, th=0x8cb03a0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4dc6a78 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8989e30, th=0x8cb03a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4dc3533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8989ba8, th=0x8cb03a0, previous=0x8abe738) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb4dc54e4 in ThreadWeaver::ThreadRunHelper::run (this=0x9f2fe2a4, parent=0x8989ba8, th=0x8cb03a0) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0xb4dc559a in ThreadWeaver::Thread::run (this=0x8cb03a0) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0xb584ede0 in QThreadPrivate::start (arg=0x8cb03a0) at thread/qthread_unix.cpp:298
#15 0xb466ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0xb5628ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0x9eafdb40 (LWP 28316)):
#0  0xb76f4424 in __kernel_vsyscall ()
#1  0xb466e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb56363dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb584f350 in wait (time=4294967295, this=0x8989c70) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x8989bc0, mutex=0x8989d90, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4dc3acc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8989ba8, th=0x8ca8460) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4dc695b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8989e30, th=0x8ca8460) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4dc363a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8989ba8, th=0x8ca8460) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4dc6a5c in ThreadWeaver::WorkingHardState::applyForWork (this=0x8989e30, th=0x8ca8460) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4dc3533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8989ba8, th=0x8ca8460, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4dc6a78 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8989e30, th=0x8ca8460) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4dc3533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8989ba8, th=0x8ca8460, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb4dc6a78 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8989e30, th=0x8ca8460) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb4dc3533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8989ba8, th=0x8ca8460, previous=0x900d088) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb4dc54e4 in ThreadWeaver::ThreadRunHelper::run (this=0x9eafd2a4, parent=0x8989ba8, th=0x8ca8460) at ../../../threadweaver/Weaver/Thread.cpp:87
#15 0xb4dc559a in ThreadWeaver::Thread::run (this=0x8ca8460) at ../../../threadweaver/Weaver/Thread.cpp:142
#16 0xb584ede0 in QThreadPrivate::start (arg=0x8ca8460) at thread/qthread_unix.cpp:298
#17 0xb466ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#18 0xb5628ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0x9e2fcb40 (LWP 28317)):
#0  0xb76f4424 in __kernel_vsyscall ()
#1  0xb466e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb56363dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb381d263 in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#4  0xb381d37f in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#5  0xb466ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0xb5628ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0x9d1fab40 (LWP 28320)):
#0  0xb76f4424 in __kernel_vsyscall ()
#1  0xb466e96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb56363dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb4831029 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#4  0xb483106f in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#5  0xb466ad4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0xb5628ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb10cd740 (LWP 28303)):
[KCrash Handler]
#7  0x00000000 in ?? ()
#8  0xb6d6c04e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#9  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#10 CollectionManager::~CollectionManager (this=0x869eeb8, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#11 0xb6d6c292 in CollectionManager::~CollectionManager (this=0x869eeb8, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#12 0xb6d6a29a in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
#13 0xb6eb6c6a in App::~App (this=0xbfd08274, __in_chrg=<optimized out>) at ../../src/App.cpp:248
#14 0x0804fc3c in main (argc=0, argv=0x0) at ../../src/main.cpp:303

Possible duplicates by query: bug 304719, bug 304474, bug 304007, bug 303999, bug 303372.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2012-08-08 21:04:09 UTC
Please check the duplicates Dr. Konqi shows you before reporting a crash, this
has been reported numerous times already and is fixed in the upcoming Amarok
2.6, to be release in a few days.

*** This bug has been marked as a duplicate of bug 285951 ***
Comment 2 Diego 2012-11-13 22:52:20 UTC
Created attachment 75231 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

Closing Amarok with left click in tray icon menu.

-- Backtrace (Reduced):
#7  0x00007f4bf981402e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x2ca6760, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#10 0x00007f4bf9814209 in CollectionManager::~CollectionManager (this=0x2ca6760, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#11 0x00007f4bf98124b6 in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 3 Myriam Schweingruber 2012-11-14 00:53:41 UTC
Diego: please do not add backtraces to a bug closed as a duplicate, and it is equally pointless to add it to an already solved bug. 

Please upgrade to Amarok 2.6, this is solved since several months already.